﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TileManagerGalleryNewRelease.Models;

namespace TileManagerGalleryNewRelease.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {

            var model = new List<GalleryItems>();

            string[] paths = System.IO.Directory.GetFiles(Server.MapPath("~/Uploads"));

            for (int i = 0; i < paths.Length; i++)
            {
                model.Add(new GalleryItems()
                {
                    path = "/Uploads/" + System.IO.Path.GetFileName(paths[i]),
                    name = System.IO.Path.GetFileNameWithoutExtension(paths[i])
                });

            } 

            return View(model);
        }

      

        public JsonResult Image(string image)
        {
            var model = new GalleryItems()
            {
                path = "/Uploads/" + System.IO.Path.GetFileName(image),
                name = System.IO.Path.GetFileNameWithoutExtension(image)
            };
            return Json(model);
        }
    }
}
